Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingSetFromOptions

Set mapping options from the options database.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingSetFromOptions(ISLocalToGlobalMapping mapping)

Not Collective

## Input Parameter

- mapping - mapping data structure

## Options Database Key

- -islocaltoglobalmapping_type - <basic,hash> nonscalable and scalable versions

## See Also

Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLOCALTOGLOBALMAPPINGBASIC`, `ISLOCALTOGLOBALMAPPINGHASH`, `ISLocalToGlobalMappingSetType()`, `ISLocalToGlobalMappingType`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

## Examples

src/vec/is/is/tutorials/ex4.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages